FoxData Open API
My License
My License
  1. 1. application Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. application Services
      • 1001-App-Basic Info
        POST
      • 1002-App-Extended Info
        POST
      • 1003-App-Visibility Score
        POST
      • 1004-App-Apps by Same Developer
        POST
      • 1005-App-Ranking History
        POST
      • 1006-App-Featured Recommendations
        POST
      • 1007-App-Ratings & Reviews
        POST
      • 1008-App-Version History
        POST
      • 1009-App-Competitor Comparison
        POST
      • 1010-App-Competitor Bidding
        POST
      • 1011-App-Covered Keywords
        POST
      • 1012-App-Keyword Expansion
        POST
      • 1013-App-Bidding Keywords
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Retrieval
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Data Retrieval
        POST
      • 1015-App-CPP Ad Creatives
        POST
      • 1016-App-App Tags
        POST
      • 1017-App-Download & Revenue Estimates
        POST
      • 1018-App-Smart Keyword Recommendations
        POST
      • 1019-App-Active Users
        POST
      • 1020-App-Basic Info (Advanced)
        POST
      • 1021-App-CPP Keywords
        POST
    • 2. Market Services
      • 2001-Market-Realtime Charts
      • 2002-Market-Global Chart Analysis
      • 2003-Market-Search Volume Charts
      • 2004-Market-Download & Revenue Charts
      • 2005-Market-Active Users & Customers
      • 2006-Market-App Release Monitoring
      • 2007-Market-Cleared Keyword Monitoring
      • 2008-Market-Cleared Ranking Monitoring
      • 2009-Market-App Delisting Monitoring
    • 3. ASA Services
      • 3001-Ad-Bidding Apps
      • 3002-Ad-Bidding Keywords
      • 3003-Ad-Bidding Keyword Analysis
      • 3004-Ad-CPPs
      • 3005-ASA Tab Rate Task
      • 3005-ASA Tab Rate Result
    • 4. Kerword research Services
      • 4001-Keyword Search
      • 4002-Keyword Expansion
      • 4003-Keyword Search Details
      • 4004-App-App Keywords
    • 9. Other Services
      • 9001-Paginated Query API
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 1. application Services

1017-App-Download & Revenue Estimates

POST
/analysis/download-revenue
Query download/revenue estimates for specified countries/regions.

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Body Params application/json

Example
{
  "appId": "895682747",
  "regions": [
    "CN",
    "US"
  ],
  "metrics": [
    "REVENUE",
    "DOWNLOAD"
  ],
  "start": "2026-05-01",
  "end": "2026-06-30",
  "limit": "DETAILS"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.foxdata.com/apiv1/open-api/analysis/download-revenue' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "appId": "895682747",
  "regions": [
    "CN",
    "US"
  ],
  "metrics": [
    "REVENUE",
    "DOWNLOAD"
  ],
  "start": "2026-05-01",
  "end": "2026-06-30",
  "limit": "DETAILS"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "requestParam": {
    "appId": "1603013318",
    "regions": [
      "CN",
      "US"
    ],
    "metrics": [
      "REVENUE",
      "DOWNLOAD"
    ],
    "start": "2025-10-10",
    "end": "2025-10-12",
    "limit": "TOTAL"
  },
  "result": {
    "download": 0,
    "revenue": 43710,
    "regions": [
      {
        "region": "CN",
        "download": [
          {
            "date": "2025-10-10",
            "value": null
          },
          {
            "date": "2025-10-11",
            "value": null
          },
          {
            "date": "2025-10-12",
            "value": null
          }
        ],
        "revenue": [
          {
            "date": "2025-10-10",
            "value": null
          },
          {
            "date": "2025-10-11",
            "value": null
          },
          {
            "date": "2025-10-12",
            "value": null
          }
        ]
      },
      {
        "region": "US",
        "download": [
          {
            "date": "2025-10-10",
            "value": null
          },
          {
            "date": "2025-10-11",
            "value": null
          },
          {
            "date": "2025-10-12",
            "value": null
          }
        ],
        "revenue": [
          {
            "date": "2025-10-10",
            "value": 14878
          },
          {
            "date": "2025-10-11",
            "value": 14497
          },
          {
            "date": "2025-10-12",
            "value": 14335
          }
        ]
      }
    ]
  },
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 240,
    "extraCredits": 0,
    "totalCostCredits": 240
  },
  "next": null
}
Modified at 2026-06-25 05:44:00
Previous
1016-App-App Tags
Next
1018-App-Smart Keyword Recommendations
Built with